class LuDiAIAfterFix extends AIInfo {
  function GetAuthor() {
    return "lukin_, Samu";
  }
  function GetName() {
    return "LuDiAI AfterFix";
  }
  function GetDescription() {
    return "Transports passengers or mail with trucks, buses and aircraft";
  }
  function GetVersion() {
    return 5;
  }
  function MinVersionToLoad() {
    return 2;
  }
  function GetDate() {
    return "29-09-2018";
  }
  function CreateInstance() {
    return "LuDiAIAfterFix";
  }
  function GetShortName() {
    return "LDAF";
  }
  function GetAPIVersion() {
    return "1.4";
  }
  function GetURL() {
    return "https://www.tt-forums.net/viewtopic.php?f=65&t=83806";
  }

  function GetSettings() {
    AddSetting({
      name = "select_town_cargo",
      description = "Town Cargo",
      easy_value = 0,
      medium_value = 0,
      hard_value = 0,
      custom_value = 0,
      flags = CONFIG_RANDOM,
      min_value = 0,
      max_value = 1
    });

    AddLabels("select_town_cargo", {
      _0 = "Passengers",
      _1 = "Mail"
    });

    AddSetting({
      name = "cities_only",
      description = "Cities only",
      easy_value = 0,
      medium_value = 0,
      hard_value = 0,
      custom_value = 0,
      flags = CONFIG_BOOLEAN | CONFIG_RANDOM
    });

    AddSetting({
      name = "pick_random",
      description = "Random picks",
      easy_value = 1,
      medium_value = 0,
      hard_value = 0,
      custom_value = 0,
      flags = CONFIG_BOOLEAN | CONFIG_RANDOM
    });

    AddSetting({
      name = "is_friendly",
      description = "Is friendly",
      easy_value = 1,
      medium_value = 1,
      hard_value = 0,
      custom_value = 1,
      flags = CONFIG_BOOLEAN | CONFIG_RANDOM | CONFIG_INGAME
    });

    AddSetting({
      name = "air_support",
      description = "Air Support",
      easy_value = 1,
      medium_value = 1,
      hard_value = 1,
      custom_value = 1,
      flags = CONFIG_BOOLEAN | CONFIG_INGAME
    });
	
	AddSetting({
	  name = "road_support",
	  description = "Road Support",
	  easy_value = 1,
	  medium_value = 1,
	  hard_value = 1,
	  custom_value = 1,
	  flags = CONFIG_BOOLEAN | CONFIG_INGAME
	});
	
	AddSetting({
	  name = "station_spread",
	  description = "Can station spread",
	  easy_value = 0,
	  medium_value = 1,
	  hard_value = 1,
	  custom_value = 1,
	  flags = CONFIG_BOOLEAN | CONFIG_RANDOM | CONFIG_INGAME
	});
  }
}

RegisterAI(LuDiAIAfterFix());


